Page MenuHomePhabricator

[tracking] GSoC 2015 and Outreachy 10 Weekly reports
Closed, ResolvedPublic

Description

Each intern needs to create a phabricator task for their weekly reports. We are officially one week into the coding period now. So the first week should be "25 May to 31 May".
A typical weekly report would contain a few bullet points about the tasks achieved during the week. It's a good practice to include links to patches/phab tickets/blog post links etc.
Examples can be found here and here.

Your weekly reports will be a major criteria during the project midterm and end-term evaluation, hence please keep them updated.

Add your weekly report task as a blocking task to this task as well as your primary project task.

Reference week dates:

25 May to 31 May
1 June to 7 June
8 June to 14 June
15 June to 21 June
22 June to 28 June
29 June to 5 July
6 July to 12 July
13 July to 19 July
20 July to 26 July
27 July to 2 August
3 August to 9 August
10 August to 16 August
17 August to 23 August

Event Timeline

Niharika created this task.Jun 1 2015, 4:25 PM
Niharika raised the priority of this task from to Medium.
Niharika updated the task description. (Show Details)
Niharika moved this task to Organization on the Google-Summer-of-Code (2015) board.
Niharika added a subscriber: Niharika.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2015, 4:25 PM
Niharika claimed this task.Jun 1 2015, 4:27 PM
Niharika set Security to None.
Niharika added subscribers: happy5214, Sitic, Phoenix303 and 7 others.
Aklapper renamed this task from Weekly reports tracking task to [tracking] GSoC 2015 and Outreachy 10 Weekly reports.Jun 2 2015, 1:59 PM
Aklapper added a project: Tracking-Neverending.
Niharika updated the task description. (Show Details)Jun 9 2015, 2:48 PM

The main criterion should be whether the wrap-up reports worked for the interns, but personally the off-wiki format didn't work for me. I found myself not using the reports at all (nobody subscribed either).

One of the issues is that it's hard to follow changes: in fact I believe I ignore notifications, but I can't be sure because https://phabricator.wikimedia.org/settings/panel/emailpreferences/ is such a mess; perhaps description edits fall under "Other task activity not listed above occurs". It's obvious that wikis are a superior system for document editing, I guess phabricator was chosen just for the bug links which can be hovered; no idea how to weigh the benefits.

The main criterion should be whether the wrap-up reports worked for the interns, but personally the off-wiki format didn't work for me. I found myself not using the reports at all (nobody subscribed either).
One of the issues is that it's hard to follow changes: in fact I believe I ignore notifications, but I can't be sure because https://phabricator.wikimedia.org/settings/panel/emailpreferences/ is such a mess; perhaps description edits fall under "Other task activity not listed above occurs". It's obvious that wikis are a superior system for document editing, I guess phabricator was chosen just for the bug links which can be hovered; no idea how to weigh the benefits.

The reports being on Phabricator definitely made it a LOT easier for me, from an org-admin PoV to keep a constant check on them and add comments on to them if they weren't updated. I imagine it also helps because students do check comments on Phabricator as opposed to talk page comments (it takes a while getting used to the wiki-way of doing things, Phabricator is more intuitive). It's also easy because all other tasks like proposal task, evaluations and wrap-up report are on Phabricator.
If using Phabricator makes the lives of org-admins and students easier, I don't think it matters that it's not on-wiki as long as the code is in place.

As I said I agree the first criterion is whether the reports get written, but the end goal is supposedly to have them read as well. :)

Qgil closed this task as Resolved.Sep 15 2015, 6:32 AM
Qgil added a subscriber: Qgil.